帮酷LOGO
0 0 评论
  • 显示原文与译文双语对照的内容
文章标签:内核  APT  GET  Apt-get  MAN  

问题:

标题就是这么写的。 更新管理器也要求我更新到 Ubuntu 12.10,即使我有部分未被选中,也称为"。检查新的Ubuntu版本更新"事件。 是否有办法让恼人的更新管理器关闭?


回答 1:

那是因为 apt-get upgrade 没有安装新的软件包。

由于内核包的构建方式,每个新的( 修正修正) 版本实际上都有不同的名称。 另外,安装一个 metapackage,它将始终依赖于最新的内核。

这是一个 sideeffect,为内核更新metapackage总需要一个新的包来安装( 新内核),更新管理器会很高兴。

但是 apt-get upgrade 将严格升级软件包,并且不会安装新软件包。 如果运行 apt-get upgrade,你将看到内核metapackage正在被保留为( 由于这个原因,虽然它并没有给你)。

因此,运行 apt-get dist-upgrade 来更新内核metapackage并安装最新的内核版本,而不是 apt-get upgrade


回答 2:

在我上一次登录Ubuntu服务器的时候,我建议使用 do-release-upgrade。 这可能会帮助任何版本升级到最后一个版本。




文章标签:MAN  GET  内核  APT  Apt-get  

Copyright © 2011 HelpLib All rights reserved.    知识分享协议 京ICP备05059198号-3  |  如果智培  |  酷兔英语